org.codehaus.plexus.component.configurator

## Class ComponentConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.configurator.ComponentConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class ComponentConfigurationException
    extends java.lang.Exception

Version:
  $Id: ComponentConfigurationException.java 7089 2007-11-25 15:19:06Z jvanzyl $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComponentConfigurationException(PlexusConfiguration failedConfiguration, java.lang.String message)`
`ComponentConfigurationException(PlexusConfiguration failedConfiguration, java.lang.String message, java.lang.Throwable cause)`
`ComponentConfigurationException(PlexusConfiguration failedConfiguration, java.lang.Throwable cause)`
`ComponentConfigurationException(java.lang.String message)`
`ComponentConfigurationException(java.lang.String message, java.lang.Throwable cause)`
`ComponentConfigurationException(java.lang.Throwable cause)`

### Method Summary

Methods
`PlexusConfiguration` `getFailedConfiguration()`
`void` `setFailedConfiguration(PlexusConfiguration failedConfiguration)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentConfigurationException

    public ComponentConfigurationException(java.lang.String message)

#### ComponentConfigurationException

    public ComponentConfigurationException(java.lang.String message,
                                   java.lang.Throwable cause)

#### ComponentConfigurationException

    public ComponentConfigurationException(java.lang.Throwable cause)

#### ComponentConfigurationException

    public ComponentConfigurationException(PlexusConfiguration failedConfiguration,
                                   java.lang.String message)

#### ComponentConfigurationException

    public ComponentConfigurationException(PlexusConfiguration failedConfiguration,
                                   java.lang.String message,
                                   java.lang.Throwable cause)

#### ComponentConfigurationException

    public ComponentConfigurationException(PlexusConfiguration failedConfiguration,
                                   java.lang.Throwable cause)

### Method Detail

#### setFailedConfiguration

    public void setFailedConfiguration(PlexusConfiguration failedConfiguration)

#### getFailedConfiguration

    public PlexusConfiguration getFailedConfiguration()